# Uses of Class
org.eclipse.jface.text.revisions.RevisionInformation

Packages that use RevisionInformation
Package
Description
org.eclipse.jface.text.revisions
Provides a revision model and a protocol to display revision information in a vertical ruler column.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of RevisionInformation in org.eclipse.jface.text.revisions

Methods in org.eclipse.jface.text.revisions that return RevisionInformation
Modifier and Type
Method
Description
`RevisionInformation`
RevisionEvent.`getRevisionInformation()`
Returns the revision information that has changed.
Methods in org.eclipse.jface.text.revisions with parameters of type RevisionInformation
Modifier and Type
Method
Description
`void`
IRevisionRulerColumn.`setRevisionInformation(RevisionInformation info)`
Sets the revision information.
Constructors in org.eclipse.jface.text.revisions with parameters of type RevisionInformation
Modifier
Constructor
Description
``
`RevisionEvent(RevisionInformation information)`
Creates a new event.

## Uses of RevisionInformation in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type RevisionInformation
Modifier and Type
Method
Description
`void`
ChangeRulerColumn.`setRevisionInformation(RevisionInformation info)`
`void`
LineNumberChangeRulerColumn.`setRevisionInformation(RevisionInformation info)`

## Uses of RevisionInformation in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type RevisionInformation
Modifier and Type
Method
Description
`void`
AbstractDecoratedTextEditor.`showRevisionInformation(RevisionInformation info, String quickDiffProviderId)`
`void`
AbstractTextEditor.`showRevisionInformation(RevisionInformation info, String quickDiffProviderId)`
`void`
ITextEditorExtension4.`showRevisionInformation(RevisionInformation info, String quickDiffProviderId)`
Shows revision information in this editor.